Debian Bug report logs - #348384
xterm: please restore default charClass

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Kirk Hilliard <kirk@debian.org>

Date: Mon, 16 Jan 2006 18:33:06 UTC

Severity: wishlist

Merged with 347384

Found in versions xterm/208-2, xterm/208-3.1

Fixed in versions 210-1, xterm/210-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#348384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Kirk Hilliard <kirk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kirk Hilliard <kirk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: please restore default charClass
Date: 16 Jan 2006 13:18:57 -0500
Package: xterm
Version: 208-2
Severity: wishlist

Hi Ender,

I've been trying to write this bug report up as a request for more
visible documentation of this change, but it keeps turning into a
wishlist submission, so I thought I'd be honest with myself and file
it that way.


The changelog.Debian.gz entry for xterm 208-1 of 6 Jan 2006 states:
    - add charClass resource to XTerm.ad and UXTerm.ad which simplifies
      selecting URLs


1. I feel that this is a poor choice and should be reverted.

xterm now equates all of '!#%&+,-./:=?@_~' with letters and numbers.
More restrictive word selection, allowing the selection of a file name
from a complete pathname, is A Good Thing.  The onus of figuring out
why xterms act differently from the default behavior described in the
man page and how to fix it should not be placed on the new user.

But hey, that's my opinion, and its your package.  If you disagree,
then I gracefully withdraw the wishlist request.


2. If the change stays, it should be more visibly documented.

Shouldn't this be documented somewhere more prominent than the
changelog, say README.Debian at the very least.  How about:

  As of version 208-2, /usr/lib/X11/app-defaults/XTerm contains a
  charClass resource to simplify selecting URLs.  Individual users may
  override this with following line to their ~/.Xresources file:
    *charClass:


3. In any case, I'd like to report a couple of typos.

Patch for minor typo in man page XTERM(1x)
------------------------------------ 8< ------------------------------------
--- xterm.1x.orig	2006-01-09 02:33:39.000000000 -0500
+++ xterm.1x	2006-01-16 11:58:14.000000000 -0500
@@ -344,7 +344,7 @@
 .B "-cc \fIcharacterclassrange\fP:\fIvalue\fP[,...]"
 This sets classes indicated by the given ranges for using in selecting by
 words.
-See the section specifying character classes.
+See the section specifying character classes
 and discussion of the \fIcharClass\fP resource.
 .TP 8
 .B "-cjk_width"
------------------------------------ >8 ------------------------------------

Patch for minor typo in README.Debian
------------------------------------ 8< ------------------------------------
--- README.Debian.orig	2006-01-16 12:02:16.000000000 -0500
+++ README.Debian	2006-01-16 12:02:48.000000000 -0500
@@ -28,7 +28,7 @@
      27, a.k.a ESCAPE) instead of ^? (ASCII 127)
 ^[[3~ is the DEC VT220 escape sequence for the keypad delete key (not the
 numeric keypad, the one with Page Up, Page Down, etc. on a PC keyboard).
-DEC VT100's, the text terminal wich xterm was designed to emulate, had no
+DEC VT100's, the text terminal which xterm was designed to emulate, had no
 keypad delete key.  ^[[3~ is also what the Linux console terminal type
 generates for the keypad delete key.  Note that the terminal definitions
 that a Debian system uses are in the ncurses-term package, not in the xterm
------------------------------------ 8< ------------------------------------

Kirk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#348384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 348384@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: 348384@bugs.debian.org
Subject: Re: xterm: please restore default charClass
Date: Thu, 26 Jan 2006 00:34:31 -0800
I want to strongly second the opinion of Kirk Hilliard
<kirk@debian.org>.  I find that in fact the new behavior makes it harder
to select URLs!  When I read mail in mutt, the URL often wraps to a new
line and in preceded by a '+' character.  Double-clicking the URL
selects the '+', so I must carefully select the start and end of the URL
by character.  With the old settings, I could double-click anywhere in
HTTP and drag to the end by word (which is also useful to grab only part
of the URL, by the way).  The issue repeats itself in many other
situations.  For example, I used to be able to get a bug number out of a
Debian changelog by double-clicking; now, I get "#345477," instead.
When I want a word from a document, I end up getting the surrounding
punctuation as well.  And so on.

Moreover, xterm has had its default selection behavior forever, and with
such a venerable program, the Debian package should be conservative in
changing defaults.  I was quite shocked by the new behavior.  I even
took care to keep my old xterm windows open so that I could enjoy the
historical behavior until I had time to figure out what was going on!

Last, if you are going to keep the change, you should not only mention
it in README.Debian, but update the man page, which gives the default.
In my view, the burden of maintaining the updated man page is reason
enough not to make this change. ;-)

Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#348384; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 348384@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Andrew Pimlott <andrew@pimlott.net>, 348384@bugs.debian.org
Subject: Re: Bug#348384: xterm: please restore default charClass
Date: Fri, 27 Jan 2006 06:37:03 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 26, 2006 at 09:50:11AM +0100, Andrew Pimlott wrote:

It's a one-line change to a resource file; I intend replacing this with
something that provides the original behavior as default but makes it
simple to obtain the alternate behavior.  (Doing that part right takes
more time than changing one line - try to be patient ;-).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kirk Hilliard <kirk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 348384-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 348384-close@bugs.debian.org
Subject: Bug#348384: fixed in xterm 210-1
Date: Mon, 13 Mar 2006 21:37:47 -0800
Source: xterm
Source-Version: 210-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_210-1.diff.gz
  to pool/main/x/xterm/xterm_210-1.diff.gz
xterm_210-1.dsc
  to pool/main/x/xterm/xterm_210-1.dsc
xterm_210-1_i386.deb
  to pool/main/x/xterm/xterm_210-1_i386.deb
xterm_210.orig.tar.gz
  to pool/main/x/xterm/xterm_210.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348384@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Mar 2006 22:12:41 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 210-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347415 348384 348457 350664 351425
Changes: 
 xterm (210-1) unstable; urgency=low
 .
   * New upstream release (the following are fixes immediately relevant to
     Debian. More are in the upstream changelog)
     + allow cursor to have the same color as foreground (text), since it is
       rendered as reverse (closes: #350664)
     + add TIOCSCTTY ioctl() ifdef'd for __GNU__ to set the controlling
       terminal (closes: #348457)
     + typo in manpage (closes: #351425)
     + revert the XTerm.ad change from patch #208 (closes: #348384)
     + add check to ensure that double-clicking to extend selection will not
       extend it into the scrollback area. This still allows users to scroll
       back and select text (closes: #347415)
    * Remove the 01_stolen_from_HEAD patch, as it is now obsolete
    * Switch build dependency from libxaw8-dev to libxaw7-dev
    * debian/rules clean target now calls make clean instead of distclean
    * Use dh_install's --list-missing option
    * Merge duplicate Provides fields
Files: 
 4288a33ed518cdf13dfad2f635199f88 769 x11 optional xterm_210-1.dsc
 1528b95619b21740c01addd5c9fdb4f0 761944 x11 optional xterm_210.orig.tar.gz
 2e4344fa69b5509a4304047b8e0e7c94 60615 x11 optional xterm_210-1.diff.gz
 d4cbebe84de67b0e00f915726b3718cc 390176 x11 optional xterm_210-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEFjepyLfpNdY0ad8RAm5DAJ0aQJH4bKExQcrD05yVTCozP7n0+QCdER48
Ft6vFa0Thg3Q9Iv190jYwGE=
=n1eR
-----END PGP SIGNATURE-----




Forcibly Merged 347384 348384. Request was from Julien Cristau <julien.cristau@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:42:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:12:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.